package com.pj.api.dto;


import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * Model: tb_logistics -- 物流订单表
 * @author qzy
 */

public class TbLogisticsDto{
	public TbLogisticsDto(Long id, Long ordersId, String declarationNumber, Integer prepare, Date prepareTime, Integer loading, Date loadingTime, Integer delivery, Date deliveryTime, Integer clearedCustom, Date clearedCustomTime, Integer makeCargo, Date makeCargoTime, Integer confirmReceipt, Date confirmReceiptTime, Integer orderFinish, Date createTime, String createBy, String createName, Date updateTime, String updateBy, String updateName, Integer deleteStatus, String orderNo, Long levelOneOrderId, Long levelTwoOrderId, Integer tradeAreaId, String tradeAreaName, String loadingAddress, String unloadingAddress, String comment, Long driverId, String driverName, String driverPhone, Long vehicleId, String vehiclePlate, Integer vehicleType ) {
		this.id = id;
		/*this.ordersId = ordersId;*/
		this.declarationNumber = declarationNumber;
		this.prepare = prepare;
		this.prepareTime = prepareTime;
		this.loading = loading;
		this.loadingTime = loadingTime;
		this.delivery = delivery;
		this.deliveryTime = deliveryTime;
		this.clearedCustom = clearedCustom;
		this.clearedCustomTime = clearedCustomTime;
		this.makeCargo = makeCargo;
		this.makeCargoTime = makeCargoTime;
		this.confirmReceipt = confirmReceipt;
		this.confirmReceiptTime = confirmReceiptTime;
		this.orderFinish = orderFinish;
		this.createTime = createTime;
		this.createBy = createBy;
		this.createName = createName;
		this.updateTime = updateTime;
		this.updateBy = updateBy;
		this.updateName = updateName;
		this.deleteStatus = deleteStatus;
		this.levelOneOrderId = levelOneOrderId;
		this.levelTwoOrderId = levelTwoOrderId;
		this.orderNo = orderNo;
		this.tradeAreaId = tradeAreaId;
		this.tradeAreaName = tradeAreaName;
		this.loadingAddress = loadingAddress;
		this.unloadingAddress = unloadingAddress;
		this.comment = comment;
		this.driverId = driverId;
		this.driverName = driverName;
		this.driverPhone = driverPhone;
		this.vehicleId = vehicleId;
		this.vehiclePlate = vehiclePlate;
		this.vehicleType = vehicleType;
	}

	public TbLogisticsDto() {
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	/*public Long getOrdersId() {
		return ordersId;
	}

	public void setOrdersId(Long ordersId) {
		this.ordersId = ordersId;
	}*/

	public String getDeclarationNumber() {
		return declarationNumber;
	}

	public void setDeclarationNumber(String declarationNumber) {
		this.declarationNumber = declarationNumber;
	}

	public Integer getPrepare() {
		return prepare;
	}

	public void setPrepare(Integer prepare) {
		this.prepare = prepare;
	}

	public Date getPrepareTime() {
		return prepareTime;
	}

	public void setPrepareTime(Date prepareTime) {
		this.prepareTime = prepareTime;
	}

	public Integer getLoading() {
		return loading;
	}

	public void setLoading(Integer loading) {
		this.loading = loading;
	}

	public Date getLoadingTime() {
		return loadingTime;
	}

	public void setLoadingTime(Date loadingTime) {
		this.loadingTime = loadingTime;
	}

	public Integer getDelivery() {
		return delivery;
	}

	public void setDelivery(Integer delivery) {
		this.delivery = delivery;
	}

	public Date getDeliveryTime() {
		return deliveryTime;
	}

	public void setDeliveryTime(Date deliveryTime) {
		this.deliveryTime = deliveryTime;
	}

	public Integer getClearedCustom() {
		return clearedCustom;
	}

	public void setClearedCustom(Integer clearedCustom) {
		this.clearedCustom = clearedCustom;
	}

	public Date getClearedCustomTime() {
		return clearedCustomTime;
	}

	public void setClearedCustomTime(Date clearedCustomTime) {
		this.clearedCustomTime = clearedCustomTime;
	}

	public Integer getMakeCargo() {
		return makeCargo;
	}

	public void setMakeCargo(Integer makeCargo) {
		this.makeCargo = makeCargo;
	}

	public Date getMakeCargoTime() {
		return makeCargoTime;
	}

	public void setMakeCargoTime(Date makeCargoTime) {
		this.makeCargoTime = makeCargoTime;
	}

	public Integer getConfirmReceipt() {
		return confirmReceipt;
	}

	public void setConfirmReceipt(Integer confirmReceipt) {
		this.confirmReceipt = confirmReceipt;
	}

	public Date getConfirmReceiptTime() {
		return confirmReceiptTime;
	}

	public void setConfirmReceiptTime(Date confirmReceiptTime) {
		this.confirmReceiptTime = confirmReceiptTime;
	}

	public Integer getOrderFinish() {
		return orderFinish;
	}

	public void setOrderFinish(Integer orderFinish) {
		this.orderFinish = orderFinish;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public Integer getDeleteStatus() {
		return deleteStatus;
	}

	public void setDeleteStatus(Integer deleteStatus) {
		this.deleteStatus = deleteStatus;
	}

	public Long getLevelOneOrderId() {
		return levelOneOrderId;
	}

	public void setLevelOneOrderId(Long levelOneOrderId) {
		this.levelOneOrderId = levelOneOrderId;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public Long getLevelTwoOrderId() {
		return levelTwoOrderId;
	}

	public void setLevelTwoOrderId(Long levelTwoOrderId) {
		this.levelTwoOrderId = levelTwoOrderId;
	}

	public Integer getTradeAreaId() {
		return tradeAreaId;
	}

	public void setTradeAreaId(Integer tradeAreaId) {
		this.tradeAreaId = tradeAreaId;
	}

	public String getTradeAreaName() {
		return tradeAreaName;
	}

	public void setTradeAreaName(String tradeAreaName) {
		this.tradeAreaName = tradeAreaName;
	}

	public String getLoadingAddress() {
		return loadingAddress;
	}

	public void setLoadingAddress(String loadingAddress) {
		this.loadingAddress = loadingAddress;
	}

	public String getUnloadingAddress() {
		return unloadingAddress;
	}

	public void setUnloadingAddress(String unloadingAddress) {
		this.unloadingAddress = unloadingAddress;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public Long getDriverId() {
		return driverId;
	}

	public void setDriverId(Long driverId) {
		this.driverId = driverId;
	}

	public String getDriverName() {
		return driverName;
	}

	public void setDriverName(String driverName) {
		this.driverName = driverName;
	}

	public String getDriverPhone() {
		return driverPhone;
	}

	public void setDriverPhone(String driverPhone) {
		this.driverPhone = driverPhone;
	}

	public Long getVehicleId() {
		return vehicleId;
	}

	public void setVehicleId(Long vehicleId) {
		this.vehicleId = vehicleId;
	}

	public String getVehiclePlate() {
		return vehiclePlate;
	}

	public void setVehiclePlate(String vehiclePlate) {
		this.vehiclePlate = vehiclePlate;
	}

	public Integer getVehicleType() {
		return vehicleType;
	}

	public void setVehicleType(Integer vehicleType) {
		this.vehicleType = vehicleType;
	}
// ---------- 表中字段 ----------
	/**
	 * 物流表主键
	 */
	private Long id;

	/**
	 * 订单表ID
	 */
	/*private Long ordersId;	*/

	/**
	 * 订单编号
	 */
	private String orderNo;

	/**
	 * 一级市场订单ID
	 */
	private Long levelOneOrderId;

	/**
	 * 二级市场订单ID
	 */
	private Long levelTwoOrderId;

	/**
	 * 贸易区域id
	 */
	private Integer tradeAreaId;

	/**
	 * 贸易区域名称
	 */
	private String tradeAreaName;

	/**
	 * 装货地址
	 */
	private String loadingAddress;

	/**
	 * 卸货地址
	 */
	private String unloadingAddress;

	/**
	 * 备注
	 */
	private String comment;

	/**
	 * 司机ID
	 */
	private Long driverId;

	/**
	 * 司机名称
	 */
	private String driverName;

	/**
	 * 司机电话
	 */
	private String driverPhone;

	/**
	 * 车辆ID
	 */
	private Long vehicleId;

	/**
	 * 车牌号
	 */
	private String vehiclePlate;

	/**
	 * 车辆类型
	 */
	private Integer vehicleType;

	/**
	 * (预留字段) 申报订单号
	 */
	private String declarationNumber;

	/**
	 * 订单待司机确认(0=待确认,1=订单已确认,2=订单确认失败)
	 */
	private Integer prepare;

	/**
	 * 订单确认时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date prepareTime;

	/**
	 * 待装货(0=待装货,1=已装货)
	 */
	private Integer loading;

	/**
	 * 已装货时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date loadingTime;

	/**
	 * 发货(0=未发,1=已发)
	 */
	private Integer delivery;

	/**
	 * 发货时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date deliveryTime;

	/**
	 * 已出海关(0=禁用,1=启用)
	 */
	private Integer clearedCustom;

	/**
	 * 出海关时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date clearedCustomTime;

	/**
	 * 接货人确定接货(0=禁用,1=启用)
	 */
	private Integer makeCargo;

	/**
	 * 接货完成时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date makeCargoTime;

	/**
	 * 收购商确认(0=禁用,1=启用)
	 */
	private Integer confirmReceipt;

	/**
	 * 收货方确认时间(相当于订单完成时间)
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date confirmReceiptTime;

	/**
	 * 订单完成状态 (0=未完成,1=已完成)
	 */
	private Integer orderFinish;

	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	/**
	 * 创建人编号
	 */
	private String createBy;

	/**
	 * 创建人名称
	 */
	private String createName;

	/**
	 * 更新时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	/**
	 * 更新人编号
	 */
	private String updateBy;

	/**
	 * 更新人名称
	 */
	private String updateName;

	/**
	 * 删除状态(0=禁用,1=启用)
	 */
	private Integer deleteStatus;







}
